<!DOCTYPE html>
<html>
<head>
	
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>PHP Technical Task</title>
	<meta name="description" content="It’s needed to create an online store with products and categories. Categories must be organized in a tree structure with including levels up to 4"/>
	<meta name="keywords" content=""/>
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<script src="https://code.jquery.com/jquery-3.6.0.min.js" type="text/javascript" language="javascript"></script>

	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>


	
	<link rel="stylesheet" type="text/css" href="/css/main.css" media="all"/>
	
	<script src="/js/main.js" type="text/javascript" language="javascript"></script>
	
	<script type="text/javascript" language="javascript">
	var BASE_URL = '{$smarty.const.BASE_URL}';
	</script>
	
	<!--<script type="text/javascript" language="javascript" src="/js/main.js"></script>-->
</head>

<body>

<header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
	<a class="navbar-brand col-md-3 col-lg-2 me-0 px-3" href="#">Products Shop Task</a>
</header>

<div class="container-fluid">
	<div class="row">
		<nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block ">
			<div class="position-sticky pt-3">
				<ul class="nav flex-column">
					
					<li class="nav-item">
						<a class="nav-link active" aria-current="page" href="/">API Documentations</a>
					</li>

					<li class="nav-item">
						<a class="nav-link" href="/category/">Categories</a>
					</li>

					<li class="nav-item">
						<a class="nav-link" href="/product/">Products</a>
					</li>
				</ul>
			</div>
		</nav>

		<main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
			{include file=$include_tpl}
		</main>
	</div>
</div>


{include file="common/message.html"}

{if $errorMessageArr}
<script type="text/javascript" language="javascript">
{literal}
var myModal = new bootstrap.Modal($('#modalClientMessage'));
myModal.show();
/*
$('#modalClientMessage').on('hidden.bs.modal', function (e) {
	{/literal}
	{$messageCloseFunct}
	{literal}
});
*/
{/literal}
</script>
{/if}

</body>
</html>